org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class CertificateValidity

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.CertificateValidity

-     public class CertificateValidity
      extends Object

  Java class for CertificateValidity complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CertificateValidity">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="validityPeriodSeconds" type="{http://www.w3
               .org/2001/XMLSchema}unsignedLong"/>
               <element name="renewalPeriodSeconds" type="{http://www.w3
               .org/2001/XMLSchema}unsignedLong"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BigInteger` | `renewalPeriodSeconds`
    `protected BigInteger` | `validityPeriodSeconds`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateValidity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getRenewalPeriodSeconds()` Gets the value of the renewalPeriodSeconds property.
    `BigInteger` | `getValidityPeriodSeconds()` Gets the value of the validityPeriodSeconds property.
    `void` | `setRenewalPeriodSeconds(BigInteger value)` Sets the value of the renewalPeriodSeconds property.
    `void` | `setValidityPeriodSeconds(BigInteger value)` Sets the value of the validityPeriodSeconds property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### validityPeriodSeconds

          protected BigInteger validityPeriodSeconds

    - #### renewalPeriodSeconds

          protected BigInteger renewalPeriodSeconds

  - ### Constructor Detail

    - #### CertificateValidity

          public CertificateValidity()

  - ### Method Detail

    - #### getValidityPeriodSeconds

          public BigInteger getValidityPeriodSeconds()

      Gets the value of the validityPeriodSeconds property.
      Returns:
        possible object is `BigInteger`

    - #### setValidityPeriodSeconds

          public void setValidityPeriodSeconds(BigInteger value)

      Sets the value of the validityPeriodSeconds property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getRenewalPeriodSeconds

          public BigInteger getRenewalPeriodSeconds()

      Gets the value of the renewalPeriodSeconds property.
      Returns:
        possible object is `BigInteger`

    - #### setRenewalPeriodSeconds

          public void setRenewalPeriodSeconds(BigInteger value)

      Sets the value of the renewalPeriodSeconds property.
      Parameters:
        `value` - allowed object is `BigInteger`

Copyright © 2017 WSO2. All rights reserved.